import { WebComponentProps } from '@lit/react';
import { WyComments as WyCommentsWC } from '@weavy/uikit-web';
export declare const WyComments: import('@lit/react').ReactWebComponent<WyCommentsWC, {
    onWyApp: import('@lit/react').EventName<import('@weavy/uikit-web/dist/types/types/action.events.js').WyActionEventType>;
    onWyAction: import('@lit/react').EventName<import('@weavy/uikit-web/dist/types/types/action.events.js').WyActionEventType>;
    onWyPreviewOpen: import('@lit/react').EventName<import('@weavy/uikit-web/dist/types/types/files.events.js').WyPreviewOpenEventType>;
    onWyPreviewClose: import('@lit/react').EventName<import('@weavy/uikit-web/dist/types/types/files.events.js').WyPreviewCloseEventType>;
}>;
declare module "react" {
    namespace JSX {
        interface IntrinsicElements {
            "wy-comments": WebComponentProps<WyCommentsWC>;
        }
    }
}
